<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Serializer Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#93f9ec041b52aa6066fd0063733506b6">determineEndianness</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#61f017bac1e2b407925576284bc7665b">determineEndianness</a>(Endian requestedEndian)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> enum name</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240">ENDIAN_BIG</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3">ENDIAN_LITTLE</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#405c917e6b188b6d6ead13678295232f">flipEndian</a>(void *pData, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#89070a1dc03c189077deabce47120165">flipEndian</a>(void *pData, size_t size)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5beba950e3b4635070b3bb8eb41c408c">flipFromLittleEndian</a>(void *pData, size_t size, size_t count=1)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#61ff1a3d78ef5d23cabe1322a438ea22">flipToLittleEndian</a>(void *pData, size_t size, size_t count=1)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#6331ceec847b83fed77165c9522eaa4f">mCurrentstreamLen</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a0773a2ca956fa2864ac50f57d0aa9a2">mFlipEndian</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#adee4932c73bfbcb3104245bbba4b50f">mpfFile</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#45b8d6fa3d3c64b3ab3dfe3a5084e3b4">mVersion</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#95ed554722facb385f7fa3b53622356b">readBools</a>(DataStreamPtr &amp;stream, bool *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#333f02260ebafef1648f5824a60e499d">readChunk</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5fcbfcf0fdacd57eed50bd4ec1d39248">readFileHeader</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3d7fb441425335ae97b4a157179db336">readFloats</a>(DataStreamPtr &amp;stream, float *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#ec3cb2bc0bd8a31fc799323777881662">readFloats</a>(DataStreamPtr &amp;stream, double *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#8ac6fb727f1d63972b17269d473dfbe6">readInts</a>(DataStreamPtr &amp;stream, uint32 *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#1bd2ca7c8454264f1bffe703bfe5935d">readObject</a>(DataStreamPtr &amp;stream, Vector3 &amp;pDest)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#13a9f1111633227f422fef070f6008f6">readObject</a>(DataStreamPtr &amp;stream, Quaternion &amp;pDest)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#9c2e328bda8cc2e0ae7f202ad643f0d2">readShorts</a>(DataStreamPtr &amp;stream, uint16 *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#235a4bb6da1fe66326b1c05678ad878f">readString</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a8ed220a17c4edb0ed32f925fbe837f6">readString</a>(DataStreamPtr &amp;stream, size_t numChars)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3268ab522d56e98d88b604255b0f43d4">Serializer</a>()</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#4f7209961701f9c90c5e48f264394d48">writeBools</a>(const bool *const pLong, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#fa565aa6d4619af064a12f470539e575">writeChunkHeader</a>(uint16 id, size_t size)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3eb5614dd7d87ce109d74f5bb6f07b0f">writeData</a>(const void *const buf, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#7a25395a380ecdda85b1baeacf4a8a07">writeFileHeader</a>(void)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#eab7d76e6f420e1be6e6c60d9b12a6c6">writeFloats</a>(const float *const pfloat, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#063a40c4984f04d0ddf41096a5ffd9b5">writeFloats</a>(const double *const pfloat, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#8191e338697b554a8ccf4fc16fd4a47e">writeInts</a>(const uint32 *const pInt, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#c76c37d13ca53e5af9c146c546d0f401">writeObject</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3152bb5fb33d99dff568b6d03d6c25e0">writeObject</a>(const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#dd3fca628a66fa8f58db9a98bfbee78e">writeShorts</a>(const uint16 *const pShort, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5ee71fde1e0d85bd15172b023474174e">writeString</a>(const String &amp;string)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#78a593233ff92623bc48b15e00cf90cc">~Serializer</a>()</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:33 2008
</p>
</body>
</html>
